// Entry point of the model
init {

  byte n = 0;

  // Conditional guarded statement
  if
    :: n > 42  -> n--;
    :: else    -> n++; // If is blocking (comment this line and see effect)
  fi;
  printf("n: %d\n",n);

  // Non-determisnm
  // Pick a random value from {1,2,3,4}
  byte pick;
  if
    :: pick=1;
    :: pick=2;
    :: pick=3;
    :: pick=4;
  fi;
  printf("pick: %d\n",pick);

  /* Repetition statements */
  byte i=0;
  byte N=4;
  /* Example while(i<N){i++;} */
  do
    :: i == N ->  break;
    :: else   ->  i++;
  od
  printf("i: %d\n",i);

  /* Non-determisnm also possible here */
  i=0
  do
    :: i == N ->  break;
    :: break;
    :: i++;
  od
  printf("i: %d\n",i);
}
