// Globally accessible definitions
mtype = {red, yellow, green} // Enumeration

typedef Point {
  int x;
  int y;
}

// Entry point of the model
init {

  bool flag = true; // boolean value (syntactic sugar for two valued integer)
  printf("FLAG: %d, !FLAG: %d\n", flag, !flag);

  mtype traffic_light_state = red;
  printf("TRAFFIC LIGHT: %e\n", traffic_light_state);

  Point array[2]; // *Fixed* size array
                  // Implicit initialisation to all 0s
  // Explicit access to typedefs
  array[0].x = 12;
  array[0].y = 21;
  printf("array[0] = (%d,%d) | array[1] = (%d,%d)\n", array[0].x,
                                                      array[0].y,
                                                      array[1].x,
                                                      array[1].y);
}
